clear all
close all
clc
%%%%%%%%%%
% Intelligence Artificielle & Machine Learning pour la modlisation de sries temporelles et de signaux 
% Master 1 Parcours IA ENS Paris Saclay
% 
% Cours 1 : Bases du traitement du signal
%
% L. Oudre



load('signalCours1')
N=length(x);

disp(['Sampling frequency : ' num2str(Fe)])

%Trace du signal en fonction de l'chantillon n
n=(0:N-1)';
figure
plot(n,x)
xlabel('Sample')

%Trace du signal en fonction du vecteur temps t
t=(0:N-1)'/Fe;
figure
plot(t,x)
xlabel('Time (s)')


%Calcul de la transforme de Fourier discrte et trac du spectre
[X,f]=TFD(x,Fe);
figure
plot(f,abs(X).^2)
xlabel('Frequency (Hz)')

%Zoom sur la largeur de bande
figure
plot(f,abs(X).^2)
xlabel('Frequency (Hz)')
xlim([-5 5])


% Filtrage passe-bas
fc=2;
y=filtrage(x,'low',fc,Fe);
figure
subplot(2,1,1)
plot(t,x,t,y)
xlabel('Time (s)')
subplot(2,1,2)
[Y,f]=TFD(y,Fe);
plot(f,abs(X).^2,f,abs(Y).^2)
xlabel('Frequency (Hz)')
xlim([-5 5])

% Filtrage passe-haut
fc=2;
y=filtrage(x,'high',fc,Fe);
figure
subplot(2,1,1)
plot(t,x,t,y)
xlabel('Time (s)')
subplot(2,1,2)
[Y,f]=TFD(y,Fe);
plot(f,abs(X).^2,f,abs(Y).^2)
xlabel('Frequency (Hz)')
xlim([-5 5])

% Filtrage passe-bande
fc=[1 4];
y=filtrage(x,'bandpass',fc,Fe);
figure
subplot(2,1,1)
plot(t,x,t,y)
xlabel('Time (s)')
subplot(2,1,2)
[Y,f]=TFD(y,Fe);
plot(f,abs(X).^2,f,abs(Y).^2)
xlabel('Frequency (Hz)')
xlim([-5 5])

