clear all
close all
clc
%%%%%%%%%%
% Intelligence Artificielle & Machine Learning pour la modlisation de sries temporelles et de signaux 
% Master 1 Parcours IA ENS Paris Saclay
% 
% Cours 2 : Bases du traitement statistique du signal
%
% L. Oudre


load('signalCours2')
N=length(x);

disp(['Sampling frequency : ' num2str(Fe)])

%Trace du signal en fonction de l'chantillon n
n=(0:N-1)';
figure
plot(n,x)
xlabel('Sample')
title('Nombre de requetes pour All I Want for Christmas Is You')

%Trace du signal en fonction du vecteur temps t
figure
plot(t,x)
datetick('x','mm-yyyy')
xlim([t(1) t(end)])
xlabel('Time')
title('Nombre de requetes pour All I Want for Christmas Is You')


% Moyenne
m=mean(x)

% Variance
v= var(x)

% Fonction d'autocorrelation
lmax=50;
[gamma,l]=xcorr(x,x,lmax,'biased');
figure
stem(l,gamma)
ylabel('\gamma_x[m]')
xlabel('Lag m')
title('Fonction d''autocorrelation')

% Estimation de la DSP par periodogramme
[X,f]=TFD(x,Fe);
figure
plot(f,(abs(X).^2)/N)
xlabel('Frequency')
title('Estimation de la DSP par periodogramme')

% Trace du spectrogramme
Nw=64;
No=(15/16)*Nw;
nfft=256;
w=hanning(Nw);
[s,f,t] = spectrogram(x,w,No,nfft,Fe);
figure
imagesc(t,f,abs(s).^2)
axis xy
xlabel('Time')
ylabel('Frequency')
title('Spectrogramme')
