function [D,Z]=convolutional_sparse_coding(y,D)
%% Sparse coding based on gradient descent
%%% Input parameters
%     - X : input signals
%     - D : dictionnary
%     - k : number of wanted components
%%% Output parameters
%     - Z : activations
%%% This function is inspired by the Numerical Tours by Gabriel Peyre

[W,Nd]=size(D);
N=length(y);


D_big=zeros(W,1,Nd);
for i=1:Nd
    D_big(:,:,i)=D(:,i);
end

for j=1:20
[Y] = cbpdn(D_big, y);
[D_big] = ccmod(Y, y, size(D_big));
end

D=zeros(W,Nd);
for i=1:Nd
    D(:,i)=D_big(:,:,i);
end

Z=zeros(Nd,N);
for i=1:Nd
    Z(i,:)=Y(:,:,i)';
end
