function X=create_frames(x,Nwindow,Noverlap)
%% Cette fonction permet de diviser le signal x en trames et de le stocker dans une matrice X
% Entrees :
%   - x : signal d'entree
%   - Nwindow : duree d'une trame (en echantillons)
%   - Noverlap : recouvrement entre deux trames successives (en
%   echantillons)
% Sorties :
%   - X : signal stocke sous forme matricielle

x=x(:);

Nhop=Nwindow-Noverlap;
k = fix((length(x)-Noverlap)/(Nwindow-Noverlap));
X=zeros(Nwindow,k);

for i=1:k
    X(:,i)=x(1+(i-1)*Nhop:Nwindow+(i-1)*Nhop);
end


