function [L]=detecte_rupture(y,K)
%%% Detects changes of mean in signals (dynamic programming)
%%% Input parameters
%     - y : input file
%     - K : nombre of ruptures
%%% Output parameter
%     - L : list of ruptures


K=K+1;
T=length(y);

C=zeros(T,T,K-1);
for i=1:T
    for j=i+1:T
        C(i,j,1)=sum((y(i:j)-mean(y(i:j))).^2);
    end
end

for k=2:K-1
    for i=1:T
        for j=i+k:T
            t=i+k-1:j-1;
            C(i,j,k)=min(reshape(C(i,t,k-1),length(t),1)+reshape(C(t+1,j,1),length(t),1));
        end
    end   
end

L=zeros(K,1);
L(K)=T;
k=K;

while k>1
    s=L(k);
    t=k-1:s-1;
    [~,m]=min(reshape(C(1,t,k-1),length(t),1)+reshape(C(t+1,s,1),length(t),1));
    L(k-1)=t(m);
    k=k-1;
end
L(end)=[];