function [D]=dictionnary_learning(X,Z,D)
%% Dictionnary learning based on gradient descent
%%% Input parameters
%     - X : input signals
%     - Z : activations
%     - D : dictionnary
%%% Output parameters
%     - D : updated dictionnary
%%% This function is inspired by the Numerical Tours by Gabriel Peyre

[N1,N2]=size(X);
ProjC = @(D)D ./ repmat( sqrt(sum(D.^2)), [size(D,1), 1] );


niter_dico = 100;
tau = 1/norm(Z*Z');
for i=1:niter_dico
    R = D*Z - X;
    D = ProjC( D + tau * (X-D*Z)*Z' );
end