function [y]=interpolation_phase(x,T,p,a)
%%% Perform the interpolation of degraded samples
%%% Input parameters
%     - x : sound file
%     - T : set of degraded samples
%     - p : order of the AR model
%     - a : estimated AR parameters
%%% Output parameter
%     - y : interpolated samples (vector of length |T|)


a=[1;a];
m=length(T);

b=zeros(p+1,1);
for i=1:p+1
    b(i)=sum(a(1:p-i+2).*a(i:p+1));
end

B=zeros(m);
for i=1:m
    for j=1:m
        if abs(T(i)-T(j))<p+1
            B(i,j)=b(abs(T(i)-T(j))+1);
        end
    end
end

z=zeros(m,1);
for i=1:m
    for k=-p:p        
        if ~sum(T==T(i)-k)    
            z(i)=z(i)+b(abs(k)+1)*x(T(i)-k);
        end
    end
end


y=-inv(B)*z;
