function E=relative_energy(x,nb_band)
%% Cette fonction calcule les energies relatives dans nb_band bandes de frequence
% Elle divise l'inveralle 0 -> Fe/2 en nb_band de taille egale et calcule l'energie relative dans chacune des bandes
% La frequence nulle est exclue de ce calcul
%
% Entrees :
%   - x : signal d'entree
%   - nb_band : nombre de bandes de frequences
%
% Sorties :
%   - E : energies relatives

nbins=length(x)*2*nb_band;
X=fft(x,nbins);
X=X(2:length(X)/2+1);

E=zeros(nb_band,1);
N=length(X);
for i=1:nb_band
    E(i)=sum(abs(X((i-1)*(N/nb_band)+1:i*(N/nb_band))).^2);
end
E=E/sum(E);



