function visualisation_kmeans(Y,idx)
%% Cette fonction permet de visualiser en 2D les resultats d'un algorithme de clustering type K-means
% Y : donnees d'entree
% Variables : noms des features
% idx : annotations de clustering

[coeff,score,latent]=pca(zscore(Y'));
coefs=coeff(:,1:2);
scores=score(:,1:2);
[p,d] = size(coefs);

[~,maxind] = max(abs(coefs),[],1);
colsign = sign(coefs(maxind + (0:p:(d-1)*p)));
coefs = bsxfun(@times,coefs,colsign);


maxCoefLen = sqrt(max(sum(coefs.^2,2)));
scores = bsxfun(@times, maxCoefLen.*(scores ./ max(abs(scores(:)))), colsign);


figure
biplot(coeff(:,1:2),'scores',score(:,1:2));
hold on
[x,y,z] = cylinder(1,200);
plot(x(1,:),y(1,:))
axis equal
hold on


Kmax=max(idx);
for i=1:Kmax
    k=find(idx==i);
    plot(scores(k,1),scores(k,2),'.')
    hold on
end
